﻿local function Print(msg)
	local info = ChatTypeInfo["RAID_WARNING"];
	getglobal("RaidWarningFrame"):AddMessage("NoWeapons: " .. msg, info.r, info.g, info.b, 1.0);
	PlaySound("RaidWarning");
end

local function NoWeapons_OnEvent()
	if not GetInventoryItemLink("player", 16) then
		Print("No main-hand equipped");
	end
	if not GetInventoryItemLink("player", 17) then
		Print("No off-hand equipped");
	end
	if not GetInventoryItemLink("player", 18) then
		local _, playerclass = UnitClass("player");
		if playerclass == "WARRIOR" or playerclass == "ROGUE" or playerclass == "HUNTER" then
			Print("No ranged weapon equipped");
		elseif playerclass == "PRIEST" or playerclass == "MAGE" or playerclass == "WARLOCK" then
			Print("No wand equipped");
		else
			Print("No relic equipped");
		end
	end
end

NoWeapons = CreateFrame("Frame")
NoWeapons:SetScript("OnEvent", NoWeapons_OnEvent)
NoWeapons:RegisterEvent("PLAYER_REGEN_DISABLED")